Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Interface AbstractLuceneSearchEngine.WorkspaceSession

All Known Implementing Classes:
  LuceneSearchSession

Enclosing class:
  AbstractLuceneSearchEngine<WorkspaceType extends SearchEngineWorkspace,ProcessorType extends SearchEngineProcessor>

    @NotThreadSafe
    protected static interface AbstractLuceneSearchEngine.WorkspaceSession

Method Summary
`void` | `commit()` Subclasses should implement this method to commit and save any work that has been done with this processor.
`AbstractLuceneSearchEngine.TupleCollector` | `createTupleCollector(QueryResults.Columns columns)` Create a `AbstractLuceneSearchEngine.TupleCollector` instance that collects the results from the index(es).
`org.apache.lucene.search.Query` | `findAllNodesAtOrBelow(Path ancestorPath)`
`org.apache.lucene.search.Query` | `findAllNodesBelow(Path ancestorPath)`
`org.apache.lucene.search.Query` | `findChildNodes(Path parentPath)` Return a query that can be used to find all of the documents that represent nodes that are children of the node at the supplied path.
`org.apache.lucene.search.Query` | `findNodeAt(Path path)` Create a query that can be used to find the one document (or node) that exists at the exact path supplied.
`org.apache.lucene.search.Query` | `findNodesLike(String fieldName, String likeExpression, boolean caseSensitive)` Create a query that can be used to find documents (or nodes) that have a field value that satisfies the supplied LIKE expression.
`org.apache.lucene.search.Query` | `findNodesWith(Length propertyLength, Operator operator, Object value)`
`org.apache.lucene.search.Query` | `findNodesWith(NodeDepth depthConstraint, Operator operator, Object value)`
`org.apache.lucene.search.Query` | `findNodesWith(NodeLocalName nodeName, Operator operator, Object value, boolean caseSensitive)`
`org.apache.lucene.search.Query` | `findNodesWith(NodeName nodeName, Operator operator, Object value, boolean caseSensitive)`
`org.apache.lucene.search.Query` | `findNodesWith(NodePath nodePath, Operator operator, Object value, boolean caseSensitive)`
`org.apache.lucene.search.Query` | `findNodesWith(PropertyValue propertyValue, Operator operator, Object value, boolean caseSensitive)`
`org.apache.lucene.search.Query` | `findNodesWith(ReferenceValue referenceValue, Operator operator, Object value)`
`org.apache.lucene.search.Query` | `findNodesWithNumericRange(NodeDepth depth, Object lowerValue, Object upperValue, boolean includesLower, boolean includesUpper)`
`org.apache.lucene.search.Query` | `findNodesWithNumericRange(PropertyValue propertyValue, Object lowerValue, Object upperValue, boolean includesLower, boolean includesUpper)`
`org.apache.lucene.analysis.Analyzer` | `getAnalyzer()`
`int` | `getChangeCount()` Get the number of changes that have been made to the workspace using this session.
`org.apache.lucene.search.IndexSearcher` | `getContentSearcher()`
`org.apache.lucene.util.Version` | `getVersion()`
`String` | `getWorkspaceName()`
`boolean` | `hasWriters()`
`void` | `rollback()` Subclasses should implement this method to throw away any work that has been done with this processor.

Method Detail

### getWorkspaceName

    String getWorkspaceName()

### hasWriters

    boolean hasWriters()

### rollback

    void rollback()

  Subclasses should implement this method to throw away any work that has been done with this processor.

### commit

    void commit()

  Subclasses should implement this method to commit and save any work that has been done with this processor.

### getChangeCount

    int getChangeCount()

  Get the number of changes that have been made to the workspace using this session.

  Returns:
    the number of changes; never negative

### getContentSearcher

    org.apache.lucene.search.IndexSearcher getContentSearcher()
                                                              throws IOException

  Throws:
    `IOException`

### getAnalyzer

    org.apache.lucene.analysis.Analyzer getAnalyzer()

### getVersion

    org.apache.lucene.util.Version getVersion()

### createTupleCollector

    AbstractLuceneSearchEngine.TupleCollector createTupleCollector(QueryResults.Columns columns)

  Create a `AbstractLuceneSearchEngine.TupleCollector` instance that collects the results from the index(es).

  Parameters:
    `columns` - the column definitions; never null
  Returns:
    the collector; never null

### findAllNodesBelow

    org.apache.lucene.search.Query findAllNodesBelow(Path ancestorPath)
                                                     throws IOException

  Throws:
    `IOException`

### findAllNodesAtOrBelow

    org.apache.lucene.search.Query findAllNodesAtOrBelow(Path ancestorPath)
                                                         throws IOException

  Throws:
    `IOException`

### findChildNodes

    org.apache.lucene.search.Query findChildNodes(Path parentPath)
                                                  throws IOException

  Return a query that can be used to find all of the documents that represent nodes that are children of the node at the supplied path.

  Parameters:
    `parentPath` - the path of the parent node.
  Returns:
    the query; never null
  Throws:
    `IOException` - if there is an error creating the query

### findNodeAt

    org.apache.lucene.search.Query findNodeAt(Path path)
                                              throws IOException

  Create a query that can be used to find the one document (or node) that exists at the exact path supplied.

  Parameters:
    `path` - the path of the node
  Returns:
    the query; never null
  Throws:
    `IOException` - if there is an error creating the query

### findNodesLike

    org.apache.lucene.search.Query findNodesLike(String fieldName,
                                                 String likeExpression,
                                                 boolean caseSensitive)
                                                 throws IOException

  Create a query that can be used to find documents (or nodes) that have a field value that satisfies the supplied LIKE expression.

  Parameters:
    `fieldName` - the name of the document field to search
    `likeExpression` - the JCR like expression
    `caseSensitive` - true if the evaluation should be performed in a case sensitive manner, or false otherwise
  Returns:
    the query; never null
  Throws:
    `IOException` - if there is an error creating the query

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(Length propertyLength,
                                                 Operator operator,
                                                 Object value)
                                                 throws IOException

  Throws:
    `IOException`

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(PropertyValue propertyValue,
                                                 Operator operator,
                                                 Object value,
                                                 boolean caseSensitive)
                                                 throws IOException

  Throws:
    `IOException`

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(ReferenceValue referenceValue,
                                                 Operator operator,
                                                 Object value)
                                                 throws IOException

  Throws:
    `IOException`

### findNodesWithNumericRange

    org.apache.lucene.search.Query findNodesWithNumericRange(PropertyValue propertyValue,
                                                             Object lowerValue,
                                                             Object upperValue,
                                                             boolean includesLower,
                                                             boolean includesUpper)
                                                             throws IOException

  Throws:
    `IOException`

### findNodesWithNumericRange

    org.apache.lucene.search.Query findNodesWithNumericRange(NodeDepth depth,
                                                             Object lowerValue,
                                                             Object upperValue,
                                                             boolean includesLower,
                                                             boolean includesUpper)
                                                             throws IOException

  Throws:
    `IOException`

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(NodePath nodePath,
                                                 Operator operator,
                                                 Object value,
                                                 boolean caseSensitive)
                                                 throws IOException

  Throws:
    `IOException`

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(NodeName nodeName,
                                                 Operator operator,
                                                 Object value,
                                                 boolean caseSensitive)
                                                 throws IOException

  Throws:
    `IOException`

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(NodeLocalName nodeName,
                                                 Operator operator,
                                                 Object value,
                                                 boolean caseSensitive)
                                                 throws IOException

  Throws:
    `IOException`

### findNodesWith

    org.apache.lucene.search.Query findNodesWith(NodeDepth depthConstraint,
                                                 Operator operator,
                                                 Object value)
                                                 throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.